Package com.google.gwt.core.linker

## Class DirectInstallLinker

- java.lang.Object
- - com.google.gwt.core.ext.Linker
  - - com.google.gwt.core.ext.linker.AbstractLinker
    - - com.google.gwt.core.ext.linker.impl.SelectionScriptLinker
      - - com.google.gwt.core.linker.CrossSiteIframeLinker
        - - com.google.gwt.core.linker.DirectInstallLinker

-     public class DirectInstallLinker
      extends CrossSiteIframeLinker

  A linker that adds a script tag directly to the iframe rather than downloading the JavaScript code as a list of strings and then installing it into the iframe.

  (This linker is exactly like CrossSiteIframeLinker except that it defaults to installCode=false.)

- - ### Field Summary

    - ### Fields inherited from class com.google.gwt.core.ext.linker.impl.SelectionScriptLinker

      `COMPUTE_SCRIPT_BASE_JS, FRAGMENT_EXTENSION, FRAGMENT_SUBDIR, permutationsUtil, PROCESS_METAS_JS, USE_SOURCE_MAPS_PROPERTY`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DirectInstallLinker()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected boolean` | `shouldInstallCode​(LinkerContext context)` | Determines the strategy for installing JavaScript code into the iframe.

    - ### Methods inherited from class com.google.gwt.core.linker.CrossSiteIframeLinker

      `fillSelectionScriptTemplate, getBooleanConfigurationProperty, getCompilationExtension, getDeferredFragmentSuffix2, getDescription, getHostedFilename, getHostedFilenameFull, getJsComputeScriptBase, getJsComputeUrlForResource, getJsDevModeRedirectHook, getJsDevModeRedirectHookPermitted, getJsDevModeUrlValidation, getJsInstallLocation, getJsInstallScript, getJsIsBodyLoaded, getJsLoadExternalStylesheets, getJsModuleFunctionErrorCatch, getJsPermutations, getJsProcessMetas, getJsProperties, getJsRunAsync, getJsWaitForBodyLoaded, getModulePrefix, getModuleSuffix2, getScriptChunkSeparator, getSelectionScriptTemplate, getSourceMapUrl, getStringConfigurationProperty, includeJs, maybeAddHostedModeFile, maybeOutputPropertyMap, shouldIncludeBootstrapInPrimaryFragment, shouldUseSelfForWindowAndDocument, wrapDeferredFragment, wrapPrimaryFragment`

    - ### Methods inherited from class com.google.gwt.core.ext.linker.impl.SelectionScriptLinker

      `charsPerChunk, doEmitCompilation, emitSelectionInformation, emitSelectionScript, generateDeferredFragment, generatePrimaryFragment, generatePrimaryFragmentString, generateSelectionScript, generateSelectionScript, getDeferredFragmentPrefix, getFragmentSubdir, getModulePrefix, link, link, readFileToStringBuffer, replaceAll, splitPrimaryJavaScript, supportsDevModeInJunit`

    - ### Methods inherited from class com.google.gwt.core.ext.linker.AbstractLinker

      `emitBytes, emitBytes, emitInputStream, emitInputStream, emitString, emitString, emitWithStrongName, emitWithStrongName`

    - ### Methods inherited from class com.google.gwt.core.ext.Linker

      `isShardable, relink`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DirectInstallLinker

          public DirectInstallLinker()

  - ### Method Detail

    - #### shouldInstallCode

          protected boolean shouldInstallCode​(LinkerContext context)

      Description copied from class: `CrossSiteIframeLinker`
      Determines the strategy for installing JavaScript code into the iframe. If set to false, a <script> tag pointing to the js file is added directly to the iframe. Otherwise, GWT downloads the JavaScript code as a list of strings and then adds it to the iframe.
      Overrides:
        `shouldInstallCode` in class `CrossSiteIframeLinker`